//
//  LeftMenuTableViewController.swift
//  PBNavSample
//
//  Created by Patrick BODET on 24/08/2016.
//  Copyright © 2016 iDevelopper. All rights reserved.
//

import UIKit

class LeftMenuTableViewController: UITableViewController {
    
    var mainController: UINavigationController?

    override func viewDidLoad() {
        super.viewDidLoad()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: - Table view data source

    override func numberOfSections(in tableView: UITableView) -> Int {
        return 1
    }

    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 2
    }

    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "Cell", for: indexPath)

        switch indexPath.row {
        case 0:
            cell.textLabel?.text = "Main"

        case 1:
            cell.textLabel?.text = "Second"
        
        default:
            break
        }
        
        cell.textLabel?.textColor = UIColor.white
        cell.backgroundColor = UIColor.clear

        return cell
    }

    // MARK: - Table view delegate
    
    override func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        tableView.deselectRow(at: indexPath, animated: true)
        
        let storyboard = UIStoryboard(name: "Main", bundle: nil)

        switch indexPath.row {
        case 0:
            revealViewController()?.pushMainViewController(mainController, animated:true)

        case 1:
            let controller = storyboard.instantiateViewController(withIdentifier: "SecondViewController") as! SecondViewController
            let nc = UINavigationController(rootViewController: controller)
            revealViewController()?.pushMainViewController(nc, animated:true)
        
        default:
            break
        }
        
    }
}
