//
//  RevealViewController.swift
//  PBNavSample
//
//  Created by Patrick BODET on 24/08/2016.
//  Copyright © 2016 iDevelopper. All rights reserved.
//

import UIKit

class RevealViewController: PBRevealViewController, PBRevealViewControllerDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        delegate = self

        leftViewShadowRadius = 0
        leftPresentViewHierarchically = true
        
        rightPresentViewOnTop = false
        rightViewRevealWidth = 260
        
        toggleAnimationType = .pushSideView
        
    }

    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)

        //Change status bar color : I don't like...
        
        /*
        let statusBar = UIApplication.sharedApplication().valueForKey("statusBar") as! UIView
        
        if statusBar.respondsToSelector(Selector("setBackgroundColor:")) {
            statusBar.backgroundColor = UIColor.lightGrayColor()
        }
        */
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    // MARK: - PBRevealViewController delegate
    
    func revealController(_ revealController: PBRevealViewController!, willShowLeftViewController controller: UIViewController!) {
        let nc = revealController.mainViewController as! UINavigationController
        let vc = nc.topViewController
        vc!.navigationItem.leftBarButtonItem?.image = UIImage(named: "Back")
    }
    
    func revealController(_ revealController: PBRevealViewController!, willHideLeftViewController controller: UIViewController!) {
        let nc = revealController.mainViewController as! UINavigationController
        let vc = nc.topViewController
        vc!.navigationItem.leftBarButtonItem?.image = UIImage(named: "Reveal")
    }
}
